scoreboard players set soulcount soulshard_global 0
execute store result score soulcount soulshard_global run data get entity @s item.components."minecraft:custom_data".soulshard_soulcount
scoreboard players operation soulcount soulshard_global += #1 soulshard_global
execute store result entity @s item.components."minecraft:custom_data".soulshard_soulcount int 1 run scoreboard players get soulcount soulshard_global

#128
execute if score soulcount soulshard_global matches 128 run data modify entity @s item.components."minecraft:custom_data".soulshard_tier set value 1
execute if score soulcount soulshard_global matches 128 run data modify entity @s item.components."minecraft:custom_data".soulshard_spawner set value 1b
execute if score soulcount soulshard_global matches 128 run data modify entity @s item.components."minecraft:rarity" set value rare
execute if score soulcount soulshard_global matches 128 run particle minecraft:soul ~ ~ ~ 0.1 0.2 0.1 0.01 5 force
execute if score soulcount soulshard_global matches 128 run playsound minecraft:particle.soul_escape master @a ~ ~ ~ 1.0 0.5 0.5

#256
execute if score soulcount soulshard_global matches 256 run data modify entity @s item.components."minecraft:custom_data".soulshard_tier set value 2
execute if score soulcount soulshard_global matches 256 run particle minecraft:soul ~ ~ ~ 0.1 0.2 0.1 0.01 5 force
execute if score soulcount soulshard_global matches 256 run playsound minecraft:particle.soul_escape master @a ~ ~ ~ 1.0 0.5 0.5

#512
execute if score soulcount soulshard_global matches 512 run data modify entity @s item.components."minecraft:custom_data".soulshard_tier set value 3
execute if score soulcount soulshard_global matches 512 run particle minecraft:soul ~ ~ ~ 0.1 0.2 0.1 0.01 5 force
execute if score soulcount soulshard_global matches 512 run playsound minecraft:particle.soul_escape master @a ~ ~ ~ 1.0 0.5 0.5

#1024
execute if score soulcount soulshard_global matches 1024 run data modify entity @s item.components."minecraft:custom_data".soulshard_tier set value 4
execute if score soulcount soulshard_global matches 1024 run particle minecraft:soul ~ ~ ~ 0.1 0.2 0.1 0.01 5 force
execute if score soulcount soulshard_global matches 1024 run playsound minecraft:particle.soul_escape master @a ~ ~ ~ 1.0 0.5 0.5

#2048
execute if score soulcount soulshard_global matches 2048 run data modify entity @s item.components."minecraft:custom_data".soulshard_tier set value 5
execute if score soulcount soulshard_global matches 2048 run data modify entity @s item.components."minecraft:custom_data".soulshard_mobshard set value 2b
execute if score soulcount soulshard_global matches 2048 run data modify entity @s item.components."minecraft:custom_data".soulshard_shardfull set value 1b
execute if score soulcount soulshard_global matches 2048 run data modify entity @s item.components."minecraft:lore" set value ['[{text:"Tier 5",color:"gray",italic:false}]','[{text:"Souls 2048/2048",color:"gray",italic:false}]']
execute if score soulcount soulshard_global matches 2048 run data modify entity @s item.components."minecraft:rarity" set value epic
execute if score soulcount soulshard_global matches 2048 run particle minecraft:soul ~ ~ ~ 0.1 0.2 0.1 0.01 5 force
execute if score soulcount soulshard_global matches 2048 run playsound minecraft:entity.warden.death master @a ~ ~ ~ 1.0 1.5 0.0

#lore
data remove storage minecraft:soulshard tier_shard
data remove storage minecraft:soulshard soul_number
data modify storage minecraft:soulshard tier_shard set from entity @s item.components."minecraft:custom_data".soulshard_tier
execute store result storage minecraft:soulshard soul_number int 1 run scoreboard players get soulcount soulshard_global
execute if score soulcount soulshard_global matches 1..127 run function soulshard:concat/lore128 with storage minecraft:soulshard
execute if score soulcount soulshard_global matches 128..255 run function soulshard:concat/lore256 with storage minecraft:soulshard
execute if score soulcount soulshard_global matches 256..511 run function soulshard:concat/lore512 with storage minecraft:soulshard
execute if score soulcount soulshard_global matches 512..1023 run function soulshard:concat/lore1024 with storage minecraft:soulshard
execute if score soulcount soulshard_global matches 1024..2047 run function soulshard:concat/lore2048 with storage minecraft:soulshard
execute if score soulcount soulshard_global matches 1..2047 run data modify entity @s item.components."minecraft:lore" set from storage minecraft:soulshard lore_result

particle minecraft:reverse_portal ~-0.35 ~-0.1 ~-0.35 0.05 0.01 0.05 0.25 0 force
item modify entity @e[distance=..0.5,limit=1,tag=soulshard_altard_4] contents soulshard:remove_1